"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/es/row/style/css");

var _row = _interopRequireDefault(require("antd/es/row"));

require("antd/es/col/style/css");

var _col = _interopRequireDefault(require("antd/es/col"));

require("antd/es/icon/style/css");

var _icon = _interopRequireDefault(require("antd/es/icon"));

require("antd/es/menu/style/css");

var _menu = _interopRequireDefault(require("antd/es/menu"));

var _react = _interopRequireDefault(require("react"));

var _router = require("bisheng/router");

var _reactDocumentTitle = _interopRequireDefault(require("react-document-title"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var SubMenu = _menu["default"].SubMenu;
var MenuItemGroup = _menu["default"].ItemGroup;

function getTime(date) {
  return new Date(date).getTime();
}

function renderMenu() {
  return _react["default"].createElement(_menu["default"], {
    onClick: function onClick() {},
    style: {
      height: '100%'
    },
    defaultSelectedKeys: ['1'],
    defaultOpenKeys: ['sub1'],
    mode: "inline"
  }, _react["default"].createElement(SubMenu, {
    key: "sub1",
    title: _react["default"].createElement("span", null, _react["default"].createElement(_icon["default"], {
      type: "mail"
    }), _react["default"].createElement("span", null, "Navigation One"))
  }, _react["default"].createElement(MenuItemGroup, {
    key: "g1",
    title: "Item 1"
  }, _react["default"].createElement(_menu["default"].Item, {
    key: "1"
  }, "Option 1"), _react["default"].createElement(_menu["default"].Item, {
    key: "2"
  }, "Option 2")), _react["default"].createElement(MenuItemGroup, {
    key: "g2",
    title: "Item 2"
  }, _react["default"].createElement(_menu["default"].Item, {
    key: "3"
  }, "Option 3"), _react["default"].createElement(_menu["default"].Item, {
    key: "4"
  }, "Option 4"))), _react["default"].createElement(SubMenu, {
    key: "sub2",
    title: _react["default"].createElement("span", null, _react["default"].createElement(_icon["default"], {
      type: "appstore"
    }), _react["default"].createElement("span", null, "Navigation Two"))
  }, _react["default"].createElement(_menu["default"].Item, {
    key: "5"
  }, "Option 5"), _react["default"].createElement(_menu["default"].Item, {
    key: "6"
  }, "Option 6"), _react["default"].createElement(SubMenu, {
    key: "sub3",
    title: "Submenu"
  }, _react["default"].createElement(_menu["default"].Item, {
    key: "7"
  }, "Option 7"), _react["default"].createElement(_menu["default"].Item, {
    key: "8"
  }, "Option 8"))), _react["default"].createElement(SubMenu, {
    key: "sub4",
    title: _react["default"].createElement("span", null, _react["default"].createElement(_icon["default"], {
      type: "setting"
    }), _react["default"].createElement("span", null, "Navigation Three"))
  }, _react["default"].createElement(_menu["default"].Item, {
    key: "9"
  }, "Option 9"), _react["default"].createElement(_menu["default"].Item, {
    key: "10"
  }, "Option 10"), _react["default"].createElement(_menu["default"].Item, {
    key: "11"
  }, "Option 11"), _react["default"].createElement(_menu["default"].Item, {
    key: "12"
  }, "Option 12")));
}

var _default = function _default(props) {
  var toReactComponent = props.utils.toReactComponent;
  var posts = props.picked.posts.sort(function (a, b) {
    return getTime(b.meta.publishDate) - getTime(a.meta.publishDate);
  });
  var year = NaN;
  var entryList = [];
  posts.forEach(function (_ref, index) {
    var meta = _ref.meta,
        description = _ref.description;

    if (!meta.publishDate) {
      console.error("You must set 'publishDate' in meta data for ".concat(meta.filename, "."));
      return;
    }

    var publishYear = meta.publishDate.slice(0, 4);

    if (year !== publishYear) {
      year = publishYear;
      entryList.push(_react["default"].createElement("a", {
        className: "item-year",
        href: "#".concat(publishYear),
        key: publishYear,
        id: publishYear
      }, publishYear));
    }

    entryList.push(_react["default"].createElement("div", {
      className: "item",
      key: index
    }, _react["default"].createElement("h2", {
      className: "item-title",
      id: meta.title
    }, _react["default"].createElement("time", null, "".concat(meta.publishDate.slice(0, 10), " ")), _react["default"].createElement(_router.Link, {
      to: "/".concat(meta.filename.replace(/\.md$/i, ''))
    }, meta.title)), !description ? null : _react["default"].createElement("div", {
      className: "item-description"
    }, toReactComponent(description))));
  });
  return _react["default"].createElement(_reactDocumentTitle["default"], {
    title: props.themeConfig.sitename
  }, _react["default"].createElement(_row["default"], {
    className: "main-wrapper"
  }, _react["default"].createElement(_col["default"], {
    span: 5,
    className: "main-menu"
  }, renderMenu()), _react["default"].createElement(_col["default"], {
    span: 19,
    className: "main-container "
  }, _react["default"].createElement("div", {
    className: "main-article-wrapper markdown"
  }, entryList))));
};

exports["default"] = _default;