"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = _default;

var _react = _interopRequireDefault(require("react"));

var _router = require("bisheng/router");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getTime(date) {
  return new Date(date).getTime();
}

function _default(props) {
  var toReactComponent = props.utils.toReactComponent;
  var blog = props.picked.blog.sort(function (a, b) {
    return getTime(b.meta.publishDate) - getTime(a.meta.publishDate);
  });
  var year = NaN;
  var entryList = [];
  blog.forEach(function (_ref, index) {
    var meta = _ref.meta,
        description = _ref.description;

    if (!meta.publishDate) {
      console.error("You must set 'publishDate' in meta data for ".concat(meta.filename, "."));
      return;
    }

    var publishYear = meta.publishDate.slice(0, 4);

    if (year !== publishYear) {
      year = publishYear;
      entryList.push(_react["default"].createElement("a", {
        className: "item-year",
        href: "#".concat(publishYear),
        key: publishYear,
        id: publishYear
      }, publishYear));
    }

    entryList.push(_react["default"].createElement("div", {
      className: "item",
      key: index
    }, _react["default"].createElement("h2", {
      className: "item-title",
      id: meta.title
    }, _react["default"].createElement("time", null, "".concat(meta.publishDate.slice(0, 10), " ")), _react["default"].createElement(_router.Link, {
      to: "/".concat(meta.filename.replace(/\.md$/i, ''))
    }, meta.title)), !description ? null : _react["default"].createElement("div", {
      className: "item-description"
    }, toReactComponent(description))));
  });
  return entryList;
}