"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/es/row/style/css");

var _row = _interopRequireDefault(require("antd/es/row"));

require("antd/es/col/style/css");

var _col = _interopRequireDefault(require("antd/es/col"));

require("antd/es/icon/style/css");

var _icon = _interopRequireDefault(require("antd/es/icon"));

require("antd/es/menu/style/css");

var _menu = _interopRequireDefault(require("antd/es/menu"));

var _react = _interopRequireDefault(require("react"));

var _rcDrawer = _interopRequireDefault(require("rc-drawer"));

var _enquireJs = require("enquire-js");

var _reactDocumentTitle = _interopRequireDefault(require("react-document-title"));

require("../../static/style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SubMenu = _menu["default"].SubMenu;
var MenuItemGroup = _menu["default"].ItemGroup;

function renderMenu(props) {
  var picked = props.picked,
      data = props.data;
  var BLOG_KEY = Object.keys(picked)[0];
  var blog = picked[BLOG_KEY];
  var dataBlog = data[BLOG_KEY];
  var keyBlog = {};
  blog.forEach(function (element) {
    var key = element.meta.filename.replace(/\.md$/i, '');
    keyBlog[key] = element;
  });

  function renderMenuChildren(dataBlog) {
    var prePath = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : BLOG_KEY;
    return Object.keys(dataBlog).map(function (key) {
      var pathKey = prePath + "/".concat(key);
      var current = dataBlog[key];

      if (current instanceof Function) {
        var pathData = keyBlog[pathKey];
        return _react["default"].createElement(_menu["default"].Item, {
          onClick: function onClick() {
            props.router.push(pathKey);
          },
          key: pathKey
        }, pathData.meta.title);
      } else {
        return _react["default"].createElement(SubMenu, {
          key: pathKey,
          title: _react["default"].createElement("span", null, key)
        }, renderMenuChildren(current, pathKey));
      }
    });
  }

  var pathname = props.location.pathname;
  return _react["default"].createElement(_menu["default"], {
    // theme="dark"
    style: {
      height: '100%'
    },
    defaultSelectedKeys: [pathname],
    className: "aside-container menu-site",
    defaultOpenKeys: [pathname.substr(0, pathname.lastIndexOf('/'))],
    mode: "inline"
  }, renderMenuChildren(dataBlog));
}

function RenderDrawer(props) {
  var visible = props.visible,
      _props$onClose = props.onClose,
      onClose = _props$onClose === void 0 ? function () {} : _props$onClose,
      otherProps = _objectWithoutProperties(props, ["visible", "onClose"]);

  return _react["default"].createElement(_rcDrawer["default"], {
    iconChild: [_react["default"].createElement(_icon["default"], {
      type: "menu-unfold"
    }), _react["default"].createElement(_icon["default"], {
      type: "menu-fold"
    })],
    key: "Mobile-menu",
    wrapperClassName: "drawer-wrapper"
  }, renderMenu(props));
}

var isMobile = false;
(0, _enquireJs.enquireScreen)(function (b) {
  isMobile = b;
});

var Layout =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(Layout, _React$PureComponent);

  function Layout() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Layout);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Layout)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      isMobile: isMobile
    });

    return _this;
  }

  _createClass(Layout, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      (0, _enquireJs.enquireScreen)(function (b) {
        _this2.setState({
          isMobile: !!b
        });
      });
    }
  }, {
    key: "render",
    value: function render() {
      var isMobile = this.state.isMobile;
      var props = this.props;
      return _react["default"].createElement(_reactDocumentTitle["default"], {
        title: props.themeConfig.sitename
      }, _react["default"].createElement(_row["default"], {
        className: "main-wrapper"
      }, _react["default"].createElement(_col["default"], {
        xs: {
          span: 0
        },
        sm: {
          span: 5
        },
        className: "main-menu"
      }, isMobile ? null : renderMenu(props)), _react["default"].createElement(_col["default"], {
        xs: {
          span: 24
        },
        sm: {
          span: 19
        },
        className: "main-container"
      }, isMobile ? _react["default"].createElement(RenderDrawer, _extends({}, props, {
        visible: true,
        onClose: function onClose() {}
      })) : null, _react["default"].createElement("div", {
        style: isMobile ? {
          padding: 0
        } : {},
        className: "main-article-wrapper markdown"
      }, props.children))));
    }
  }]);

  return Layout;
}(_react["default"].PureComponent);

exports["default"] = Layout;