"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatContent = formatContent;

function createToc(name) {
  return ['li', ['a', {
    className: 'bisheng-toc-h2',
    href: "#".concat(name)
  }, name]];
}

function formatContent(content) {
  var toc = [];

  var _content = content.map(function (item) {
    if (item && item instanceof Array && item.length > 1 && item[0] === 'h2') {
      var item1 = item[1];
      toc.push(createToc(item1));
      item = [item[0], {
        id: item1
      }, item1];
    }

    return item;
  });

  return {
    content: _content,
    toc: toc
  };
}